summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
authorJan Srnicek <jsrnicek@cisco.com>2017-10-09 08:58:41 +0200
committerMarek Gradzki <mgradzki@cisco.com>2017-10-09 15:44:26 +0000
commitf5e347768e9503285c41346c646351c2bd3e11f5 (patch)
treef8be45283767e4f773f9cfea601e2e0d63c8c14a /common
parent2bca3b4a54e1b0a5206c7be14262e35753700d13 (diff)
HONEYCOMB-393 - Introduce asciidoc-scripts && scripts-parent
Change-Id: I15032951c52d25a3805c0348c8f400a935174eef Signed-off-by: Jan Srnicek <jsrnicek@cisco.com>
Diffstat (limited to 'common')
-rw-r--r--common/asciidoc-scripts/pom.xml41
-rw-r--r--common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy (renamed from common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy)0
-rw-r--r--common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy (renamed from common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy)4
-rw-r--r--common/asciidoc-scripts/src/main/resources/readme/readmeDefaultContent (renamed from common/common-scripts/src/main/resources/readme/readmeDefaultContent)0
-rw-r--r--common/common-scripts/pom.xml60
-rw-r--r--common/honeycomb-parent/pom.xml6
-rw-r--r--common/pom.xml2
-rw-r--r--common/scripts-parent/pom.xml95
8 files changed, 151 insertions, 57 deletions
diff --git a/common/asciidoc-scripts/pom.xml b/common/asciidoc-scripts/pom.xml
new file mode 100644
index 0000000..6b276f4
--- /dev/null
+++ b/common/asciidoc-scripts/pom.xml
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+ ~ Copyright (c) 2017 Cisco and/or its affiliates.
+ ~
+ ~ Licensed under the Apache License, Version 2.0 (the "License");
+ ~ you may not use this file except in compliance with the License.
+ ~ You may obtain a copy of the License at:
+ ~
+ ~ http://www.apache.org/licenses/LICENSE-2.0
+ ~
+ ~ Unless required by applicable law or agreed to in writing, software
+ ~ distributed under the License is distributed on an "AS IS" BASIS,
+ ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ ~ See the License for the specific language governing permissions and
+ ~ limitations under the License.
+ -->
+
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <parent>
+ <groupId>io.fd.honeycomb.scripts</groupId>
+ <artifactId>scripts-parent</artifactId>
+ <version>1.18.01-SNAPSHOT</version>
+ <relativePath>../scripts-parent</relativePath>
+ </parent>
+
+ <modelVersion>4.0.0</modelVersion>
+
+ <groupId>io.fd.honeycomb.doc</groupId>
+ <artifactId>asciidoc-scripts</artifactId>
+ <version>1.18.01-SNAPSHOT</version>
+ <name>${project.artifactId}</name>
+
+ <dependencies>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-all</artifactId>
+ </dependency>
+ </dependencies>
+</project> \ No newline at end of file
diff --git a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
index 5bdf0cd..5bdf0cd 100644
--- a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
+++ b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/AsciiDocImgForwarder.groovy
diff --git a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy
index 5010395..6bab620 100644
--- a/common/common-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy
+++ b/common/asciidoc-scripts/src/main/groovy/io/fd/honeycomb/common/scripts/ReadmeGenerator.groovy
@@ -1,5 +1,5 @@
/*
- * Copyright (c) 2016 Cisco and/or its affiliates.
+ * Copyright (c) 2017 Cisco and/or its affiliates.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
@@ -26,7 +26,7 @@ import java.nio.file.Paths
*/
class ReadmeGenerator {
- static final def DEFAULT_README = ModulesListGenerator.getResource("/readme/readmeDefaultContent").text
+ static final def DEFAULT_README = ReadmeGenerator.getResource("/readme/readmeDefaultContent").text
static final def ADOC_FOLDER = "asciidoc"
static final def README = "Readme"
diff --git a/common/common-scripts/src/main/resources/readme/readmeDefaultContent b/common/asciidoc-scripts/src/main/resources/readme/readmeDefaultContent
index b508372..b508372 100644
--- a/common/common-scripts/src/main/resources/readme/readmeDefaultContent
+++ b/common/asciidoc-scripts/src/main/resources/readme/readmeDefaultContent
diff --git a/common/common-scripts/pom.xml b/common/common-scripts/pom.xml
index cc78e81..3de8e3c 100644
--- a/common/common-scripts/pom.xml
+++ b/common/common-scripts/pom.xml
@@ -18,6 +18,13 @@
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <parent>
+ <groupId>io.fd.honeycomb.scripts</groupId>
+ <artifactId>scripts-parent</artifactId>
+ <version>1.18.01-SNAPSHOT</version>
+ <relativePath>../scripts-parent</relativePath>
+ </parent>
+
<modelVersion>4.0.0</modelVersion>
<groupId>io.fd.honeycomb.common</groupId>
<artifactId>common-scripts</artifactId>
@@ -26,68 +33,17 @@
<packaging>jar</packaging>
<properties>
- <!-- groovy -->
- <maven.groovy.version>2.0</maven.groovy.version>
- <groovy.version>2.4.7</groovy.version>
- <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
- <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
<commons-io.version>2.5</commons-io.version>
- <yang-binding.version>0.10.1-Carbon</yang-binding.version>
</properties>
- <build>
- <pluginManagement>
- <plugins>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-site-plugin</artifactId>
- <configuration>
- <skip>true</skip>
- <skipDeploy>true</skipDeploy>
- </configuration>
- </plugin>
- </plugins>
- </pluginManagement>
- <plugins>
- <plugin>
- <groupId>org.codehaus.groovy</groupId>
- <artifactId>groovy-eclipse-compiler</artifactId>
- <version>${groovy.eclipse.compiler.version}</version>
- <extensions>true</extensions>
- </plugin>
- <plugin>
- <artifactId>maven-compiler-plugin</artifactId>
- <!-- 2.8.0-01 and later require maven-compiler-plugin 3.1 or higher -->
- <configuration>
- <compilerId>groovy-eclipse-compiler</compilerId>
- </configuration>
- <dependencies>
- <dependency>
- <groupId>org.codehaus.groovy</groupId>
- <artifactId>groovy-eclipse-compiler</artifactId>
- <version>${groovy.eclipse.compiler.version}</version>
- </dependency>
- <!-- for 2.8.0-01 and later you must have an explicit dependency on groovy-eclipse-batch -->
- <dependency>
- <groupId>org.codehaus.groovy</groupId>
- <artifactId>groovy-eclipse-batch</artifactId>
- <version>${groovy.eclipse.batch.version}</version>
- </dependency>
- </dependencies>
- </plugin>
- </plugins>
- </build>
-
<dependencies>
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
- <version>${groovy.version}</version>
</dependency>
<dependency>
<groupId>org.opendaylight.mdsal</groupId>
<artifactId>yang-binding</artifactId>
- <version>${yang-binding.version}</version>
</dependency>
<dependency>
<groupId>commons-io</groupId>
@@ -97,7 +53,7 @@
<dependency>
<groupId>io.fd.honeycomb.yang</groupId>
<artifactId>yang-whitelist-impl</artifactId>
- <version>1.18.01-SNAPSHOT</version>
+ <version>${project.version}</version>
</dependency>
</dependencies>
diff --git a/common/honeycomb-parent/pom.xml b/common/honeycomb-parent/pom.xml
index df2eb80..878db26 100644
--- a/common/honeycomb-parent/pom.xml
+++ b/common/honeycomb-parent/pom.xml
@@ -524,9 +524,9 @@
</executions>
<dependencies>
<dependency>
- <groupId>io.fd.honeycomb.common</groupId>
- <artifactId>common-scripts</artifactId>
- <version>1.18.01-SNAPSHOT</version>
+ <groupId>io.fd.honeycomb.doc</groupId>
+ <artifactId>asciidoc-scripts</artifactId>
+ <version>${project.version}</version>
</dependency>
</dependencies>
</plugin>
diff --git a/common/pom.xml b/common/pom.xml
index 5c6805a..683cb38 100644
--- a/common/pom.xml
+++ b/common/pom.xml
@@ -38,6 +38,8 @@
<module>minimal-assembly-descriptor</module>
<module>minimal-distribution-parent</module>
<module>yang-whitelist</module>
+ <module>asciidoc-scripts</module>
+ <module>scripts-parent</module>
</modules>
<!-- DO NOT install or deploy the repo root pom as it's only needed to initiate a build -->
diff --git a/common/scripts-parent/pom.xml b/common/scripts-parent/pom.xml
new file mode 100644
index 0000000..acba2cf
--- /dev/null
+++ b/common/scripts-parent/pom.xml
@@ -0,0 +1,95 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+ ~ Copyright (c) 2017 Cisco and/or its affiliates.
+ ~
+ ~ Licensed under the Apache License, Version 2.0 (the "License");
+ ~ you may not use this file except in compliance with the License.
+ ~ You may obtain a copy of the License at:
+ ~
+ ~ http://www.apache.org/licenses/LICENSE-2.0
+ ~
+ ~ Unless required by applicable law or agreed to in writing, software
+ ~ distributed under the License is distributed on an "AS IS" BASIS,
+ ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ ~ See the License for the specific language governing permissions and
+ ~ limitations under the License.
+ -->
+
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+
+ <groupId>io.fd.honeycomb.scripts</groupId>
+ <artifactId>scripts-parent</artifactId>
+ <version>1.18.01-SNAPSHOT</version>
+ <packaging>pom</packaging>
+ <name>${project.artifactId}</name>
+
+ <properties>
+ <!-- groovy -->
+ <maven.groovy.version>2.0</maven.groovy.version>
+ <groovy.version>2.4.7</groovy.version>
+ <groovy.eclipse.compiler.version>2.9.2-01</groovy.eclipse.compiler.version>
+ <groovy.eclipse.batch.version>2.4.3-01</groovy.eclipse.batch.version>
+ <yang-binding.version>0.10.1-Carbon</yang-binding.version>
+ </properties>
+
+ <dependencyManagement>
+ <dependencies>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-all</artifactId>
+ <version>${groovy.version}</version>
+ </dependency>
+ <dependency>
+ <groupId>org.opendaylight.mdsal</groupId>
+ <artifactId>yang-binding</artifactId>
+ <version>${yang-binding.version}</version>
+ </dependency>
+ </dependencies>
+ </dependencyManagement>
+
+ <build>
+ <pluginManagement>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-site-plugin</artifactId>
+ <configuration>
+ <skip>true</skip>
+ <skipDeploy>true</skipDeploy>
+ </configuration>
+ </plugin>
+ </plugins>
+ </pluginManagement>
+ <plugins>
+ <plugin>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-eclipse-compiler</artifactId>
+ <version>${groovy.eclipse.compiler.version}</version>
+ <extensions>true</extensions>
+ </plugin>
+ <plugin>
+ <artifactId>maven-compiler-plugin</artifactId>
+ <!-- 2.8.0-01 and later require maven-compiler-plugin 3.1 or higher -->
+ <configuration>
+ <compilerId>groovy-eclipse-compiler</compilerId>
+ </configuration>
+ <dependencies>
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-eclipse-compiler</artifactId>
+ <version>${groovy.eclipse.compiler.version}</version>
+ </dependency>
+ <!-- for 2.8.0-01 and later you must have an explicit dependency on groovy-eclipse-batch -->
+ <dependency>
+ <groupId>org.codehaus.groovy</groupId>
+ <artifactId>groovy-eclipse-batch</artifactId>
+ <version>${groovy.eclipse.batch.version}</version>
+ </dependency>
+ </dependencies>
+ </plugin>
+ </plugins>
+ </build>
+</project> \ No newline at end of file